Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class IterPred

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Preds
                  org.basex.query.expr.Pred
                      org.basex.query.expr.IterPred

    public final class IterPred

extends Pred

Predicate expression. Mustn't be called with more than one predicate.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Dennis Stratmann

Field Summary

Fields inherited from class org.basex.query.expr.Pred
`root`

Fields inherited from class org.basex.query.expr.Preds
`pred`

Constructor Summary
`IterPred(Expr r, Expr[] p, Pos ps, boolean l)` Constructor.

Method Summary
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.expr.Pred
`comp, plan, removable, remove, toString, uses`

Methods inherited from class org.basex.query.expr.Preds
`color`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, returned, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IterPred

    public IterPred(Expr r,
                    Expr[] p,
                    Pos ps,
                    boolean l)

  Constructor.

  Parameters:
    `r` - root expression
    `p` - predicates
    `ps` - position predicate; may equal the first predicate
    `l` - true if predicate has a last function

Method Detail

### iter

    public Iter iter(QueryContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Pred`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD